# Uses of Class
org.apache.qpid.proton.amqp.messaging.DeleteOnNoMessages

Packages that use DeleteOnNoMessages
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging

## Uses of DeleteOnNoMessages in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return DeleteOnNoMessages
Modifier and Type
Method
Description
`static DeleteOnNoMessages`
DeleteOnNoMessages.`getInstance()`

## Uses of DeleteOnNoMessages in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return DeleteOnNoMessages
Modifier and Type
Method
Description
`DeleteOnNoMessages`
DeleteOnNoMessagesType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type DeleteOnNoMessages
Modifier and Type
Method
Description
`Class<DeleteOnNoMessages>`
DeleteOnNoMessagesType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type DeleteOnNoMessages
Modifier and Type
Method
Description
`protected List`
DeleteOnNoMessagesType.`wrap(DeleteOnNoMessages val)`